## org.apache.mahout.ga.watchmaker.cd
Class CDFitness

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.CDFitness

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class CDFitness

extends Object
implements org.apache.hadoop.io.Writable

Fitness of the class discovery problem.

Constructor Summary
`CDFitness()`
`CDFitness(CDFitness f)`
`CDFitness(int tp, int fp, int tn, int fn)`

Method Summary
`void` `add(CDFitness f)`
`boolean` `equals(Object obj)`
`double` `get()` Calculates the fitness corresponding to this evaluation.
`int` `getFn()`
`int` `getFp()`
`int` `getTn()`
`int` `getTp()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDFitness

    public CDFitness()

### CDFitness

    public CDFitness(CDFitness f)

### CDFitness

    public CDFitness(int tp,
                     int fp,
                     int tn,
                     int fn)

Method Detail

### getTp

    public int getTp()

### getFp

    public int getFp()

### getTn

    public int getTn()

### getFn

    public int getFn()

### add

    public void add(CDFitness f)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### get

    public double get()

  Calculates the fitness corresponding to this evaluation.

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.